# Update a deal

## Update deal

<mark style="color:orange;">`PUT`</mark> `https://ris.rightsline.com/v4/deal/:id`

Update the characteristics of a deal.

#### Path Parameters

| Name | Type   | Description                   |
| ---- | ------ | ----------------------------- |
| id   | string | The ID of the deal to update. |

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

#### Request Body

| Name                | Type   | Description                                                 |
| ------------------- | ------ | ----------------------------------------------------------- |
| title               | string | The new title of the deal.                                  |
| template            | object | The template of the deal.                                   |
| template.templateId | string | The unique ID of the template that is assigned to the deal. |
| characteristics     | object | The field values to update on the deal.                     |
| parentRelationship  | array  | Create this deal as a child of other deals.                 |

{% tabs %}
{% tab title="200 Deal updated successfully." %}

```javascript
{
  "parentRelationship": null,
  "relationshipUpdateRules": null,
  "id": 2200,
  "revisionId": 0,
  "title": "The updated deal",
  "template": {
    "fields": [],
    "templateId": 2,
    "templateName": "Acquisition Deal",
    "processId": 0,
    "processName": null
  },
  "status": {
    "statusId": 1,
    "statusName": "Active"
  },
  "characteristics": {
    "language": [
      {
        "id": 29,
        "value": "English"
      }
    ]
  },
  "comments": [],
  "createdById": 3,
  "createdDate": "2020-06-25T18:41:08.600Z",
  "lastUpdatedById": 3,
  "lastUpdatedDate": "2020-06-25T19:56:05.187Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/entities/deal/deal-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
